/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Vista;

import Negocio.AdminClass;
import java.beans.PropertyVetoException;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author Abraham Fernandez Sanchez 
 */

public final class CambioAdminPasswordVista extends javax.swing.JInternalFrame {
 Escritorio escritorio ;
 AdminClass admin;   
 private String adminNewPass ;
    /**
     * Creates new form CambioContraseñaVista
     * @param escritorio Objeto de la clase Escritorio
     */
    public CambioAdminPasswordVista( Escritorio escritorio ) {
        this.escritorio= escritorio;
        admin = new AdminClass();
        initComponents();
        cargaPasswordActual();      
    }

  public void cargaPasswordActual(){    
     adminNewPass = admin.getPasswordNow();
    jTextFieldPasswordNow.setText(adminNewPass);      
  }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jTextFieldPasswordNow = new javax.swing.JTextField();
        jTextFieldPasswordNew = new javax.swing.JTextField();
        jButtonCambiarPassword = new javax.swing.JButton();
        jButtonCancelar = new javax.swing.JButton();

        setClosable(true);
        setIconifiable(true);
        setMaximizable(true);
        setTitle("Cambiar Contraseña");

        jLabel1.setText("Contraseña Actual :");

        jLabel2.setText("Nueva Contraseña :");

        jTextFieldPasswordNow.setEditable(false);

        jButtonCambiarPassword.setText("Aceptar");
        jButtonCambiarPassword.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCambiarPasswordActionPerformed(evt);
            }
        });

        jButtonCancelar.setText("Cancelar");
        jButtonCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButtonCancelarActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel1)
                        .addGap(18, 18, 18)
                        .addComponent(jTextFieldPasswordNow, javax.swing.GroupLayout.PREFERRED_SIZE, 112, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jLabel2)
                        .addGap(18, 18, 18)
                        .addComponent(jTextFieldPasswordNew))
                    .addGroup(layout.createSequentialGroup()
                        .addComponent(jButtonCambiarPassword)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jButtonCancelar))))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel1)
                    .addComponent(jTextFieldPasswordNow, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(jTextFieldPasswordNew, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jButtonCambiarPassword)
                    .addComponent(jButtonCancelar))
                .addContainerGap(27, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jButtonCambiarPasswordActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCambiarPasswordActionPerformed
     try {
         String pass = jTextFieldPasswordNew.getText();
         admin.changePasswordAdmin(pass);
         this.setClosed(true);//metodo para cerrar este frame
     } catch (SQLException | PropertyVetoException ex) {
         Logger.getLogger(CambioAdminPasswordVista.class.getName()).log(Level.SEVERE, null, ex);
     }        
        
    }//GEN-LAST:event_jButtonCambiarPasswordActionPerformed

    private void jButtonCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButtonCancelarActionPerformed
     try {
         this.setClosed(true);//metodo para cerrar este frame
     } catch (PropertyVetoException ex) {
         Logger.getLogger(CambioAdminPasswordVista.class.getName()).log(Level.SEVERE, null, ex);
     }
             
    }//GEN-LAST:event_jButtonCancelarActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jButtonCambiarPassword;
    private javax.swing.JButton jButtonCancelar;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JTextField jTextFieldPasswordNew;
    private javax.swing.JTextField jTextFieldPasswordNow;
    // End of variables declaration//GEN-END:variables
}
